Wutangrza's CFW using Fluke's Tools released.

Discussion in 'PS3 - Hacking & Homebrew' started by TwinRetro, Jan 18, 2011.

  1. TwinRetro
    OP

    TwinRetro Global Moderator

    Global Moderator
    6,246
    5,070
    Aug 29, 2008
    Djibouti
    Hiatus Hell
    As with any new CFW, I would advise against using this right away. Wait until a few people have installed it and there are no bricks reported. Do not ask for the precompiled PUP. You won't get it, and most likely you will get a warning. The same applies for linking a precompiled .PUP

    Today, in the wee hours of the morning, a dev by the name of Wutangrza, was successful in recreating flukes1's 3.55 peek poke CFW. As we reported the other day, flukes1 had successfully made a LV1/LV2 3.55 peek and poke enabled CFW. However, due to legal reasons he decided against releasing it. Wutangrza was successful in repeating flukes1's process and has released a very easy to use patch, for the official 3.55 firmware. So what does this mean for the average user? It means that it is only a matter of time now, before apps like multiMan and others, will begin to work with this new CFW.


    Your patched PUP should have the MD5/SHA1 listed below:

    MD5: 05933bb7a89bee87b0aa45c74f980e81
    SHA1: 3d51501014ab46131a539e1664476e10fa9b611e

    UPDATE: Thanks to Quaker69, we have a Windows utility that will do all the necessary patching of the PUP for you (especially if you don't know DOS commands) http://psx-scene.com/forums/f118/pc-gui-cf...v1-0-5-a-76434/

    SOURCE: PSGroove.com[/p]

    Steps for Patching 3.55 Official Firmware on Windows by PSGroove.com

    Step 1

    Download the above files and extract them all into the same folder

    Step 2

    Open a command prompt, navigate to the folder where you extracted the above files, then type:
    Code:

    bspatch PS3UPDAT.PUP PS3CFW.PUP Wutangrza-3.55.patch

    Step 3

    Delete PS3UPDAT.PUP

    Step 4

    Rename PS3CFW.PUP to PS3UPDAT.PUP and thats it! You now have an official 3.55 with lv1/lv2 peek and poke enabled

    You’re now ready to install the PUP, make sure your console has 3.55 official firmware installed, prior to flashing the peek and poke enabled version. You will need to install it from the recovery menu.

    Also, after flashing the 3.55 peek and poke enabled CFW, you can then install Geohot’s CFW. You will still retain lv1/lv2 peek and poke.[/p]


    Official 3.55 Firmware (you will need to find this on your own. Sony hosts it on their own site)
    Download: Wutangrza-3.55.tar.gz
    Download: bsdiff4.3-win32.zip
    Download: lv1dumper.tar.gz - Will try to dump lv1 (blackscreens sometimes. If so, reboot and rerun if you want a lv1 dump.
    Download: lv2protectionremove.pkg - Just disables lv2 checking without dumping lv1.[/p]

    Staff: If any of these links are against the rules, feel free to remove them.
     
  2. DarkShadow96

    DarkShadow96 LA96£

    Member
    694
    18
    Feb 9, 2009
    Canada
    MTL
    Hmm... Interesting. Lv1/Lv2 peek and poke. Does that mean better compatibility for backup loading?
     
  3. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    What it means is that the necessary syscalls can be patched/created on the fly by applications instead of being hardcoded into the firmware like Waninkoko was trying to do. No loader works with it yet, but that will change when they're reprogrammed to work with these calls. It's a more elegant and versatile solution, and also doesn't brick.
     
  4. synce

    synce だいこんちゃんのだいふぁん

    Member
    503
    35
    Nov 5, 2009
    United States
    Wu-Tang's RZA comes through awwww yeeeeeh. Seriously though it's interesting how this released before koko's cfw but no one cared until the brickstravaganza [​IMG]
     
  5. whoomph

    whoomph GBAtemp Regular

    Member
    191
    5
    Mar 5, 2010
    South Coast of England
    Your ability to summarize the event has tickled me somewhat.

    I don't think Sony could have done a better job of putting people off CFW. I watched rather than participated in the horror and it has reminded me to stand back and let everyone who can afford to brick, take the risk. How extensively has this release been tested? Wanbrickoko said he tested his CFW on just 5 consoles before release! Surely this isn't an acceptable/typical amount of testing for a CFW? Or am I being naive?
    All those lovely launch consoles door stops... [​IMG]
     
  6. cacildo

    cacildo Went and came back

    Member
    194
    5
    Jan 20, 2009
    Burkina Faso
    If a new CFW comes out and ONE person says its safe, we´ll see another 300 people trying it in a blink of an eye.

    Nobody is off CFW.
     
  7. Originality

    Originality Chibi-neko

    Member
    5,350
    782
    Apr 21, 2008
    London, UK
    EDIT: Taken from his twitter.
     
  8. Magsor

    Magsor I am watching you

    Member
    962
    65
    Dec 1, 2010
    Canada
    Amos
    I just installed this CFW from Kakaroto 2.41 no trouble at all from XMB only.
    3.41 Kakaroto to 3.55 WUtang to 3.55 Geohot.
     
  9. TwinRetro
    OP

    TwinRetro Global Moderator

    Global Moderator
    6,246
    5,070
    Aug 29, 2008
    Djibouti
    Hiatus Hell
    Just letting you guys know, Wutanrza specified that this should be installed from 3.55 OFW only, and there are no gurantees of not bricking your PS3 from any other firmware. tread carefully.
     
  10. Maz7006

    Maz7006 iSEXu

    Member
    3,636
    35
    Aug 2, 2008
    to my knowledge; yes

    fact is you can install EgoHotz CFW after this just makes him all the more suspicious to his claims that his cfw "does not allow piracy"

    im still waiting out this CFW, even though its extremely compelling

    even though its quite stable-ish-not i still wanna see sony's reaction

    not to mention, only thing so far is the piracy, nothing else i would use this for now.
     
  11. Magsor

    Magsor I am watching you

    Member
    962
    65
    Dec 1, 2010
    Canada
    Amos
    Multiman for this was just released an hour ago i am gonna test it later obviously i can link... Anyways there an automatic .pkg function. More info later...
     
  12. lbbooga

    lbbooga Member

    Newcomer
    14
    0
    Feb 27, 2010
    United States
    Mars
    this is neat. I have been downloading all the CFWs and not installing them, just waiting 1 0r 2 0r 3 more months to install.
     
  13. DarkShadow96

    DarkShadow96 LA96£

    Member
    694
    18
    Feb 9, 2009
    Canada
    MTL
    Hmm... So you have to have an OFW to do it. Well I am currently on "EgoHotz" CFW so that means I'll have to revert back to OFW to actually install this eh?

    Well I'll wait a bit before I do anything else and see where this new CFW is gonna take us all.
     
  14. TwinRetro
    OP

    TwinRetro Global Moderator

    Global Moderator
    6,246
    5,070
    Aug 29, 2008
    Djibouti
    Hiatus Hell
    Exactly my stance, and i'm sure (most) everyone elses. I really don't care about piracy, and to me that's all that this release offers to me over Geohot's. I want to sit back and wait a month or two to see what the universally accepted CFW will be.
     
  15. luke_c

    luke_c Big Boss

    Member
    3,587
    32
    Jun 16, 2008
    Land of England
    syscall36h.s got released by KaKaRoTo which can be implemented into the lv1 patch of Wutangrza's CFW, this should allow existing backup managers to function as per usual on Geohots 3.55 CFW. If I had any clue how to add it to the lv1dumper and build/compile it, I would.
     
  16. synce

    synce だいこんちゃんのだいふぁん

    Member
    503
    35
    Nov 5, 2009
    United States
  17. cacildo

    cacildo Went and came back

    Member
    194
    5
    Jan 20, 2009
    Burkina Faso
  18. Giga_Gaia

    Giga_Gaia Shinigami

    Member
    1,301
    40
    Sep 12, 2006
    Canada
    Quebec, Canada
    I can't install Wutangrza, when I try to do it on ofw 3.55, it says I already have 3.55 installed and there is no need to install. Why does it do that when it work for everybody else?

    I tried in recovery mode, but nothing changed after installation and I heard I should have apphome game folder.
     
  19. Magsor

    Magsor I am watching you

    Member
    962
    65
    Dec 1, 2010
    Canada
    Amos
    Thanks Synce!!!!
    It does work!!! If you have wutang+geohot just install lv2.pkg and run lv2 patcher.
    I am using multiman signed for geohot and have tried the 3 games I had on 3.41 and they work.
    Nhl 11, Blur and Ratchet and clank: TOD.

    The only downside is that you have to have a game in the drive and run from XMB.(The game will change to the one you choose)
     
  20. 8BitWalugi

    8BitWalugi Taiyohhhhhh!

    Member
    3,427
    273
    Mar 22, 2008
    Australia
    Side 7
    Sooo... I'm on 3.55 GeoHot, so I need to update to 3.55 OFW, then 3.55Wutangrza, then 3.55 Geohot again?